Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.atp.auth
Class SharedSecret

    java.lang.Object
      |
      +--com.ibm.atp.auth.ByteSequence
            |
            +--com.ibm.atp.auth.SharedSecret

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public final class SharedSecret
extends ByteSequence

The `SharedSecret` class is byte sequence for authentication. which is shared by individuals (agent, context, domain).

Version:
  1.00 $Date: 2001/07/28 06:33:42 $
Author:
  ONO Kouichi
See Also:
  Serialized Form

Field Summary
`static int` | `LENGTH` The length of byte sequence.

Method Summary
`static SharedSecret` | `createNewSharedSecret(java.lang.String domainName, java.lang.String creatorKeyAlias, java.lang.String creatorKeyPassword)` Creates a new shared secret.
`java.security.cert.Certificate` | `getCreatorCert()` Gets creator's certificate.
`java.lang.String` | `getCreatorEncodedString()` Gets the string representation of the encoded creator's certificate
`java.lang.String` | `getDomainName()` Gets domain name.
`byte[]` | `getSignature()` Gets signature.
`java.lang.String` | `getSignatureString()` Gets signature string.
`static SharedSecret` | `load(java.lang.String filename)` Loads shared secret.
`void` | `save(java.lang.String filename)` Saves to file.
`static void` | `save(java.lang.String filename, SharedSecret secret)` Saves shared secret.
`byte[]` | `secret()` Returns current byte sequence as a shared secret (password) for authentication.
`java.util.Enumeration` | `toLines()` Returns lines representation of the shared secret.
`java.lang.String` | `toString()` Returns a string representation of the shared secret.

Methods inherited from class com.ibm.atp.auth.ByteSequence
`append, append, append, append, clone, copy, copy, copy, equals, equals, equals, length, sequence`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LENGTH

    public static final int LENGTH

  The length of byte sequence.

Method Detail

### createNewSharedSecret

    public static final SharedSecret createNewSharedSecret(java.lang.String domainName,
                                                           java.lang.String creatorKeyAlias,
                                                           java.lang.String creatorKeyPassword)

  Creates a new shared secret.

### getCreatorCert

    public java.security.cert.Certificate getCreatorCert()

  Gets creator's certificate.
  Returns:
    creator's certificate

### getCreatorEncodedString

    public java.lang.String getCreatorEncodedString()

  Gets the string representation of the encoded creator's certificate
  Returns:
    a string

### getDomainName

    public java.lang.String getDomainName()

  Gets domain name.
  Returns:
    domain name

### getSignature

    public byte[] getSignature()

  Gets signature.
  Returns:
    signature

### getSignatureString

    public java.lang.String getSignatureString()

  Gets signature string.
  Returns:
    signature strnig

### load

    public static SharedSecret load(java.lang.String filename)
                             throws java.io.FileNotFoundException,
                                    java.io.IOException

  Loads shared secret.
  Parameters:
    `filename` - filename of the shared secret file to be loaded

### save

    public void save(java.lang.String filename)
              throws java.io.IOException

  Saves to file.
  Parameters:
    `filename` - filename of the shared secret file to be saved

### save

    public static void save(java.lang.String filename,
                            SharedSecret secret)
                     throws java.io.IOException

  Saves shared secret.
  Parameters:
    `filename` - filename of the shared secret file to be saved
    `secrets` - the shared secret to be saved

### secret

    public final byte[] secret()

  Returns current byte sequence as a shared secret (password) for authentication.
  Returns:
    current byte sequence as a shared secret (password) for authentication.

### toLines

    public java.util.Enumeration toLines()

  Returns lines representation of the shared secret.
  Returns:
    lines representation of the shared secret

### toString

    public java.lang.String toString()

  Returns a string representation of the shared secret.
  Overrides:
    `toString` in class `ByteSequence`
  Returns:
    a string representation of the shared secret
  See Also:
    `ByteSequence.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD